<template>
  <div class="bookings">
    <h4 class="page-title mb-6" v-text="$t('pilotPanel.bookings.title')" />

    <!-- Search form -->
    <vx-card class="mb-6 pt-4 pb-2">
      <div class="vx-row w-full">
        <div class="vx-col w-full sm:w-1/3 mb-6 sm:mb-0">
          <d-input v-model="searchForm.bookingId" :label="$t('pilotPanel.bookings.bookingId')" />
        </div>

        <div class="vx-col w-full sm:w-1/3 mb-6 sm:mb-0">
          <d-date
            v-model="searchForm.departureDateFrom"
            minimum-view="day"
            maximum-view="day"
            format="dd/MM/yyyy"
            :label="$t('pilotPanel.bookings.departDateFrom')"
          />
        </div>

        <div class="vx-col w-full sm:w-1/3 mb-6 sm:mb-0">
          <d-date
            v-model="searchForm.departureDateTo"
            minimum-view="day"
            maximum-view="day"
            :disabled-dates="{to: new Date(searchForm.departureDateFrom) }"
            format="dd/MM/yyyy"
            :label="$t('pilotPanel.bookings.departDateTo')"
          />
        </div>
      </div>
      <div class="vx-row w-full mt-2 sm:mt-6">
        <div class="vx-col w-full">
          <vs-button
            style="display: inline-flex;"
            type="filled"
            class="action-btn"
            icon="search"
            @click="filter"
          >{{ $t('generalTitles.search') }}</vs-button>
          <vs-button
            v-if="filtered || isMobile"
            style="display: inline-flex;"
            type="filled"
            class="action-btn mb-4 mt-6 sm:mt-6 ml-0 sm:ml-4"
            icon="refresh"
            @click="resetFilter"
          >{{ $t('generalTitles.reset') }}</vs-button>
        </div>
      </div>

      <!-- CONTENT -->

      <h4 class="text-center mt-6" style="color: #4a5568;">Here will be your future bookings</h4>
    </vx-card>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import { DInput, DDate } from "@/components/d-elements";
import { screenSizeMixin } from "@/mixins"

@Component({
  components: {
    DDate,
    DInput
  },
  mixins: [ screenSizeMixin ]
})
export default class Bookings extends Vue {
  private searchForm = {
    bookingId: null,
    departureDateFrom: null,
    departureDateTo: null
  };

  private bookings = [];
  private filtered = false;
  private loading = true;
  private pagesAmount = null;
  private currentPage = 1;
  private pageLimit = 5;
  private totalItems = 0;
  private pageLang = "en";

  get skipItems() {
    return this.pageLimit * this.currentPage - this.pageLimit;
  }

  created() {
    this.pageLang = this.$root.$i18n.locale;
    this.getBookings();
  }

  private getBookings() {
    console.log("bookings");
  }

  private filter() {}

  private resetFilter() {}
}
</script>

<style lang="scss">
.bookings {
  @media (max-width: 576px) {
  }
}
</style>